Subject: Re: bug#50679: 28.0.50; outline-minor-mode-cycle should be able to only cycle at the begining of a line

From: Juri Linkov <[email-masked]>
Date: Sun, 19 Sep 2021 19:53:11 +0300

> I like the new outline-minor-mode-cycle option, but it becomes annoying
> in combination with tab-always-indent set to 'complete, because outline
> takes over, even if I don't expect it.

This is a known problem without a good solution.
It misbehaves even when tab-always-indent is set to 't'.

> Replacing the (outline-on-heading-p) check with 
>
>           (looking-at outline-regexp)
>
> or
>
>           (and (bolp) (looking-at outline-regexp))
>
> improves the experience for me, but I am not sure if
> this is a general improvement. Could it make sense to have this as a
> configurable option, or check the value of tab-always-indent and DWIM?

So you propose to cycle only at the beginning of the line?
But when tab-always-indent is set to 't', sometimes typing TAB
at the beginning of the line is expected to indent the line
instead of cycling outlines.